## mx4j.tools.remote.http.jetty
Class JettyWebContainer

    java.lang.Object
      mx4j.tools.remote.http.jetty.JettyWebContainer

All Implemented Interfaces:
  WebContainer

public class JettyWebContainer
extends java.lang.Object
implements WebContainer

Jetty's implementation of WebContainer interface

Version:
  $Revision: 1.6 $

Constructor Summary
`JettyWebContainer()`

Method Summary
`protected void` `configureListener(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`void` `deploy(java.lang.String servletClassName, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Deploys the given servlet class mapping it to the URL specified by the given JMXServiceURL.
`protected Logger` `getLogger()`
`protected org.mortbay.jetty.Server` `getServer()`
`void` `start(javax.management.remote.JMXServiceURL url, java.util.Map environment)` Starts the web container
`void` `stop()` Stops the web container
`void` `undeploy(java.lang.String servletName, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Undeploys the servlet mapped to the URL specified by the given JMXServiceURL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyWebContainer

    public JettyWebContainer()

Method Detail

### getLogger

    protected Logger getLogger()

### getServer

    protected org.mortbay.jetty.Server getServer()

### start

    public void start(javax.management.remote.JMXServiceURL url,
                      java.util.Map environment)
               throws java.io.IOException

  Description copied from interface: `WebContainer`
  Starts the web container

  Specified by:
    `start` in interface `WebContainer`
  Throws:
    `java.io.IOException`

### configureListener

    protected void configureListener(javax.management.remote.JMXServiceURL url,
                                     java.util.Map environment)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### stop

    public void stop()
              throws java.io.IOException

  Description copied from interface: `WebContainer`
  Stops the web container

  Specified by:
    `stop` in interface `WebContainer`
  Throws:
    `java.io.IOException`

### deploy

    public void deploy(java.lang.String servletClassName,
                       javax.management.remote.JMXServiceURL url,
                       java.util.Map environment)
                throws java.io.IOException

  Description copied from interface: `WebContainer`
  Deploys the given servlet class mapping it to the URL specified by the given JMXServiceURL.

  Specified by:
    `deploy` in interface `WebContainer`
  Throws:
    `java.io.IOException`

### undeploy

    public void undeploy(java.lang.String servletName,
                         javax.management.remote.JMXServiceURL url,
                         java.util.Map environment)

  Description copied from interface: `WebContainer`
  Undeploys the servlet mapped to the URL specified by the given JMXServiceURL.

  Specified by:
    `undeploy` in interface `WebContainer`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.